<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>html home work 3</title>
    <style>
        nav ul li{
			display: inline-block;
			}
        body{
            width: 30%;
        }
    </style>


</head>

<body>
    <nav> 
		<ul>
			<li><a href="#">Домой</a> </li>
			<li><a href="#">Статьи</a> </li>
			<li><a href="#">Магазин</a> </li>
            <li><a href="#">Кабинет</a> </li>
		</ul>
    <nav>
        <h1>Костыльно-Ориентированное Программирование:</h1>
        <ol>
            <li>Костылирование</li>
            <li>Инкостыляция</li>
            <li>Поликостылизм</li>
        </ol>
    </nav>
    <section>
        <h2>Костылирование</h2>
        <article>
            <p>Создание костылей, позволяющее описать новый костыль на основе уже существующего с частично
                или полностью заимствующимися ошибками. Костыль, от которого производится наследование,
                называется базовым, родительским или суперкостылем. Новый костыль — потомком, наследником
                или производным.</p>
        </article>
    </section>
    <section>
        <h2>Инкостыляция</h2>
        <article>
            <p>Свойство костылей, позволяющее объединить фиксы и заплатки, работающие с ними в классе, и
                скрыть детали реализации от понимания.</p>
        </article>
    </section>
    <section>
        <h2>Поликостылизм</h2>
        <article>
            <p>Свойство разработчиков использовать костыли с одинаковым интерфейсом без информации о типе
                и внутренней структуре костыля.</p>
        </article>
    </section>
    <footer>
        <p>2020 Cделано руками хороших людей</p>
    </footer>


</body>
</html>